ClientCertAuthModule (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security.jaspi.modules

## Class ClientCertAuthModule

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.modules.BaseAuthModule
  - - org.eclipse.jetty.security.jaspi.modules.ClientCertAuthModule

- All Implemented Interfaces:
    javax.security.auth.message.config.ServerAuthContext, javax.security.auth.message.module.ServerAuthModule, javax.security.auth.message.ServerAuth

  Deprecated.
  use *ServerAuthentication

      public class ClientCertAuthModule
      extends BaseAuthModule

  Version:
    $Rev: 4530 $ $Date: 2009-02-13 00:47:44 +0100 (Fri, 13 Feb 2009) $

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `callbackHandler, LOGIN_SERVICE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientCertAuthModule()` Deprecated.
    `ClientCertAuthModule(CallbackHandler callbackHandler)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.message.AuthStatus` | `validateRequest(javax.security.auth.message.MessageInfo messageInfo, Subject clientSubject, Subject serviceSubject)` Deprecated.

    - ### Methods inherited from class org.eclipse.jetty.security.jaspi.modules.BaseAuthModule

      `cleanSubject, getSupportedMessageTypes, initialize, isMandatory, login, login, secureResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientCertAuthModule

          public ClientCertAuthModule()

      Deprecated.

    - #### ClientCertAuthModule

          public ClientCertAuthModule(CallbackHandler callbackHandler)

      Deprecated.

  - ### Method Detail

    - #### validateRequest

          public javax.security.auth.message.AuthStatus validateRequest(javax.security.auth.message.MessageInfo messageInfo,
                                                               Subject clientSubject,
                                                               Subject serviceSubject)
                                                                 throws javax.security.auth.message.AuthException

      Deprecated.
      Specified by:
        `validateRequest` in interface `javax.security.auth.message.ServerAuth`
      Overrides:
        `validateRequest` in class `BaseAuthModule`
      Throws:
        `javax.security.auth.message.AuthException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.